glab(1)

NAME
glab-work-items-update - Update work items in a project or group. (EXPERIMENTAL)

SYNOPSIS
glab work-items update [flags]

DESCRIPTION
The command uses your repository context to detect scope automatically.

Use --group to target a group or subgroup. --group and --repo are mutually exclusive.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
-a, --assignee=[]
    Update the work item assignee with the supplied GitLab usernames.

-d, --description=""
    Update the description for the work item.

--duedate=""
    Update the due date for the work item.

-g, --group=""
    Update work items for a group or subgroup.

--jq=""
    Filter JSON output with a jq expression.

-m, --milestone=""
    Update the work item milestone with the title or ID.

-F, --output="text"
    Format output as: text, json.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

--startdate=""
    Update the start date for the work item.

-t, --title=""
    Update the title for the work item.

-w, --weight=0
    Update the weight value for the work item.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Update a work item in current project
    glab work-items update 42 --description "this issue tracks a new feature"
    # Update a work item in a group
    glab work-items update 40 --group MYGROUP --description "this epic tracks a new feature"

SEE ALSO
glab-work-items(1)